#include<assert.h>

#pragma TASS input 
int n;
int m;

void main() {
	int* p;
	double* grid_data[2];
	double** grid[2];
	
	p = &m;
	*p = 2*n;
	assert m==2*n;
}

void foo(int* a) {
	int b;
	
	*a = 1;
}